Index: /trunk/libIGCM/AA_SE_Checker
===================================================================
--- /trunk/libIGCM/AA_SE_Checker	(revision 1205)
+++ /trunk/libIGCM/AA_SE_Checker	(revision 1206)
@@ -223,5 +223,5 @@
 
     IGCM_sys_MkdirWork ${POST_DIR}
-    IGCM_debug_Verif_Exit_Post
+    IGCM_debug_Verif_Exit
     IGCM_sys_QsubPost create_se
 
Index: /trunk/libIGCM/AA_TimeSeries_Checker
===================================================================
--- /trunk/libIGCM/AA_TimeSeries_Checker	(revision 1205)
+++ /trunk/libIGCM/AA_TimeSeries_Checker	(revision 1206)
@@ -415,5 +415,5 @@
                   export Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}.${CompToRead}.${NameToRead}
                   IGCM_sys_MkdirWork ${POST_DIR}
-                  IGCM_debug_Verif_Exit_Post
+                  IGCM_debug_Verif_Exit
                   IGCM_sys_QsubPost create_ts
                   echo
@@ -480,5 +480,5 @@
     export Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
     IGCM_sys_MkdirWork ${POST_DIR}
-    IGCM_debug_Verif_Exit_Post
+    IGCM_debug_Verif_Exit
     IGCM_sys_QsubPost create_ts
     echo
@@ -505,5 +505,5 @@
     export Script_Post_Output=create_ts.${PeriodDateEnd}.${TsTask}
     IGCM_sys_MkdirWork ${POST_DIR}
-    IGCM_debug_Verif_Exit_Post
+    IGCM_debug_Verif_Exit
     IGCM_sys_QsubPost create_ts
     echo
Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 1205)
+++ /trunk/libIGCM/AA_additionnal	(revision 1206)
@@ -94,5 +94,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1205)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1206)
@@ -94,5 +94,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1205)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1206)
@@ -94,5 +94,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1205)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1206)
@@ -94,5 +94,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1205)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1206)
@@ -94,5 +94,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 1205)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 1206)
@@ -140,5 +140,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
@@ -316,5 +316,5 @@
     #
     IGCM_sys_Get /l liste_file_se[*] ${RUN_DIR_PATH}
-    IGCM_debug_Verif_Exit_Post
+    IGCM_debug_Verif_Exit
     # Search of common list of variables to be treated
     nbfile=0
@@ -402,5 +402,5 @@
 #D- Test if all was right before ATLAS
 # --------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${config_UserChoices_TagName} = "IPSLCM4_v1_OASIS3" ] || \
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 1205)
+++ /trunk/libIGCM/AA_create_se	(revision 1206)
@@ -147,5 +147,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
@@ -341,5 +341,5 @@
         #
         IGCM_sys_Get /l liste_file_se[*] ${RUN_DIR_PATH}
-        IGCM_debug_Verif_Exit_Post
+        IGCM_debug_Verif_Exit
 
         # Apply IGCM_Patch if needed
@@ -401,5 +401,5 @@
           #
           IGCM_sys_Get /l liste_file_se[*] ${RUN_DIR_PATH}
-          IGCM_debug_Verif_Exit_Post
+          IGCM_debug_Verif_Exit
 
           # Apply IGCM_Patch if needed
@@ -464,5 +464,5 @@
           #
           IGCM_sys_Get /l liste_file_se[*] ${RUN_DIR_PATH}
-          IGCM_debug_Verif_Exit_Post
+          IGCM_debug_Verif_Exit
 
           # Apply IGCM_Patch if needed
@@ -560,5 +560,5 @@
 #D- Test if all was right before ATLAS
 # --------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${config_UserChoices_TagName} = "IPSLCM4_v1_OASIS3" ] || \
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 1205)
+++ /trunk/libIGCM/AA_create_ts	(revision 1206)
@@ -167,5 +167,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
@@ -238,5 +238,5 @@
 #D- Test if all was right before entering the loop
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 ########################################################################
@@ -492,5 +492,5 @@
     if [ X${file} != X${NULL_STR} ] ; then
       IGCM_sys_Get /l liste_file[*] ${RUN_DIR_PATH}/${comp}
-      IGCM_debug_Verif_Exit_Post
+      IGCM_debug_Verif_Exit
     fi
   done
@@ -671,5 +671,5 @@
       # Get selected files
       IGCM_sys_Get /l liste_file[*] ${RUN_DIR_PATH}/${comp}
-      IGCM_debug_Verif_Exit_Post
+      IGCM_debug_Verif_Exit
 
       # Apply IGCM_Patch if needed
@@ -679,5 +679,5 @@
             for Patch in $( eval echo \${LISTE_PATCHES_${file}[*]} ); do
               IGCM_${Patch} ${file_t}
-              IGCM_debug_Verif_Exit_Post
+              IGCM_debug_Verif_Exit
             done
           done
@@ -716,5 +716,5 @@
           file_out=${config_UserChoices_JobName}_${DATE_BUILD_END}_${FlagDir}_${var}.nc
           IGCM_sys_ncrcat --hst -v ${liste_coord}${var} ${file1} ${liste_file_tmp[*]} ${file_out}
-          IGCM_debug_Verif_Exit_Post
+          IGCM_debug_Verif_Exit
           #
           IGCM_sys_Rm ${file1}
@@ -728,5 +728,5 @@
           file_out=${config_UserChoices_JobName}_${DATE_BUILD}_${FlagDir}_${var}.nc
           IGCM_sys_ncrcat --hst -v ${liste_coord}${var} ${liste_file_tmp[*]} ${file_out}
-          IGCM_debug_Verif_Exit_Post
+          IGCM_debug_Verif_Exit
         fi
 
@@ -752,5 +752,5 @@
             # Put global history attribut
             IGCM_sys_ncatted -Oh -a history,global,o,c,"build by libIGCM/create_ts" ${file_out_YE}
-            IGCM_debug_Verif_Exit_Post
+            IGCM_debug_Verif_Exit
             #
             eval IGCM_sys_Put_Out ${file_out_YE} \${R_OUT_${comp}}/Analyse/TS_MO_YE/${file_out_YE}
@@ -799,5 +799,5 @@
 #D- Test if all was right
 # --------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 # --------------------------------------------------------------------
 #D- Submit MONITORING
Index: /trunk/libIGCM/AA_metrics_LMDZ
===================================================================
--- /trunk/libIGCM/AA_metrics_LMDZ	(revision 1205)
+++ /trunk/libIGCM/AA_metrics_LMDZ	(revision 1206)
@@ -95,5 +95,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 1205)
+++ /trunk/libIGCM/AA_monitoring	(revision 1206)
@@ -141,5 +141,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
Index: /trunk/libIGCM/AA_move-and-rename
===================================================================
--- /trunk/libIGCM/AA_move-and-rename	(revision 1205)
+++ /trunk/libIGCM/AA_move-and-rename	(revision 1206)
@@ -225,5 +225,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 #DEFINE NEW_R_DODS
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 1205)
+++ /trunk/libIGCM/AA_pack_debug	(revision 1206)
@@ -159,5 +159,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
@@ -225,5 +225,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 # Init loop
@@ -262,5 +262,5 @@
   # Test if all was right before proceeding cleaning
   # ------------------------------------------------------------------
-  IGCM_debug_Verif_Exit_Post
+  IGCM_debug_Verif_Exit
   # Clean links
   cat ${RUN_DIR}/liste_pack_${date_begin_pack}_${date_end_pack}.txt | xargs rm
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 1205)
+++ /trunk/libIGCM/AA_pack_output	(revision 1206)
@@ -136,5 +136,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
@@ -185,5 +185,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 IGCM_debug_Print 1 "Check coherence between PackFrequency and PeriodLength"
@@ -192,5 +192,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 IGCM_debug_Print 1 "We must process ${NbPeriodPerFrequency} files for each pack"
@@ -263,5 +263,5 @@
         # Test if all was right before proceeding further
         # ------------------------------------------------------------------
-        IGCM_debug_Verif_Exit_Post
+        IGCM_debug_Verif_Exit
         # Save it
         IGCM_sys_Put_Out ${output} ${R_SAVE}/$( echo $dir | sed "s:${R_BUFR}/::" )/${output}
@@ -271,5 +271,5 @@
         # Test if all was right before proceeding further
         # ------------------------------------------------------------------
-        IGCM_debug_Verif_Exit_Post
+        IGCM_debug_Verif_Exit
         # Clean files used by ncrcat
         cat liste_pack_${myType}_${date_begin_pack}_${date_end_pack}.txt | xargs rm
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 1205)
+++ /trunk/libIGCM/AA_pack_restart	(revision 1206)
@@ -159,5 +159,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
@@ -218,5 +218,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 # Init loop
@@ -262,5 +262,5 @@
   # Test if all was right before proceeding cleaning
   # ------------------------------------------------------------------
-  IGCM_debug_Verif_Exit_Post
+  IGCM_debug_Verif_Exit
   # Clean links
   cat ${RUN_DIR}/liste_pack_${date_begin_pack}_${date_end_pack}.txt | xargs rm
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1205)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1206)
@@ -170,5 +170,5 @@
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
-IGCM_debug_Verif_Exit_Post
+IGCM_debug_Verif_Exit
 
 if [ ${StandAlone} = true ] ; then
Index: /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 1205)
+++ /trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 1206)
@@ -1683,5 +1683,5 @@
                 echo "IGCM_sys_rebuild ${file_in} ${generic_file_name}_[0-9]*.nc" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
               fi
-              echo "IGCM_debug_Verif_Exit_Post" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+              echo "IGCM_debug_Verif_Exit" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
             fi
             #
@@ -1692,5 +1692,5 @@
                   echo ". ${libIGCM_POST}/libIGCM_post/IGCM_${Patch}.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
                   echo "IGCM_${Patch} ${file_in}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-                  echo "IGCM_debug_Verif_Exit_Post                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+                  echo "IGCM_debug_Verif_Exit                           " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
                 done
               fi
@@ -1703,5 +1703,5 @@
                 rebuildedActionsList[${#rebuildedActionsList[*]}]="IGCM_sys_Put_Out ${file_in} ${file_out}"
               fi
-              rebuildedActionsList[${#rebuildedActionsList[*]}]="IGCM_debug_Verif_Exit_Post"
+              rebuildedActionsList[${#rebuildedActionsList[*]}]="IGCM_debug_Verif_Exit"
               rebuildedActionsList[${#rebuildedActionsList[*]}]="IGCM_sys_Rm ${generic_file_name}_[0-9]*.nc"
             fi
@@ -1725,5 +1725,5 @@
                 echo ". ${libIGCM_POST}/libIGCM_post/IGCM_${Patch}.ksh" >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
                 echo "IGCM_${Patch} ${file_in}                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-                echo "IGCM_debug_Verif_Exit_Post                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+                echo "IGCM_debug_Verif_Exit                           " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
               done
               #
@@ -1733,5 +1733,5 @@
                 echo "IGCM_sys_Put_Out ${file_in} ${file_out}         " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
               fi
-              echo "IGCM_debug_Verif_Exit_Post                        " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+              echo "IGCM_debug_Verif_Exit                             " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
               #
             fi
Index: /trunk/libIGCM/libIGCM_date/libIGCM_date.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_date/libIGCM_date.ksh	(revision 1205)
+++ /trunk/libIGCM/libIGCM_date/libIGCM_date.ksh	(revision 1206)
@@ -886,5 +886,5 @@
   *)
     IGCM_debug_Exit "IGCM_date_DaysInPreviousPeriod " ${Period} " invalid PeriodLength : choose in *Y, *M, *D."
-    IGCM_debug_Verif_Exit_Post ;;
+    IGCM_debug_Verif_Exit ;;
   esac
   echo ${Length}
@@ -946,5 +946,5 @@
   *)
     IGCM_debug_Exit "IGCM_date_DaysInNextPeriod " ${Period} " invalid PeriodLength : choose in *Y, *M, *D."
-    IGCM_debug_Verif_Exit_Post ;;
+    IGCM_debug_Verif_Exit ;;
   esac
   echo ${Length}
@@ -1006,5 +1006,5 @@
   *)
     IGCM_debug_Exit "IGCM_date_DaysInCurrentPeriod " ${Period} " invalid PeriodLength : choose in *Y, *M, *D."
-    IGCM_debug_Verif_Exit_Post ;;
+    IGCM_debug_Verif_Exit ;;
   esac
   echo ${Length}
Index: /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 1205)
+++ /trunk/libIGCM/libIGCM_debug/libIGCM_debug.ksh	(revision 1206)
@@ -704,57 +704,50 @@
 function IGCM_debug_Verif_Exit {
   if ( ${ExitFlag} ) ; then
-    # Plan to send an email here with IGCM_sys_SendMail
-    if [ X${TaskType} != Xchecking ] ; then
+    echo "IGCM_debug_Verif_Exit : Something wrong happened previously."
+    # Only computing TaskType stops the job for now.
+    if [ X${TaskType} = Xcomputing ] ; then
       IGCM_card_WriteOption ${SUBMIT_DIR}/run.card Configuration PeriodState "Fatal"
-      echo "IGCM_debug_Verif_Exit : Something wrong happened previously."
       echo "IGCM_debug_Verif_Exit : ERROR and EXIT keyword will help find out where."
       echo "                        EXIT THE JOB."
       echo
       IGCM_debug_CallStack
-    fi
-
-    if [ X${ActivateBigBro} = Xtrue ] ; then
-      # RabbitMQ message code "EXIT THE JOBS BECAUSE ERROR(S) HAS BEEN TRIGGERED"
-      code=9999
-      # RabbitMQ message body
-      Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%dT%H:%M:%S.%N%z" )\"}" )
-      # To be sure we flush message buffer and clean up behind us before the end of the simulation
-      FlushAMQP=true
-      # Fill the rabbitMQ queue
-      IGCM_debug_sendAMQP
-    fi
-
-    # Mail notification
-    IGCM_sys_SendMail
-
-    # And Good Bye
-    date
-    exit 1
-  fi
-}
-
-#D-#==================================================
-#D-function IGCM_debug_Verif_Exit_Post
-#D-* Purpose: exit with number 1 if ExitFlag is true for Post-treatment
-#D-
-function IGCM_debug_Verif_Exit_Post {
-  if ( ${ExitFlag} ) ; then
-    echo "IGCM_debug_Verif_Exit_Post : Something wrong happened."
-    # If SpaceName is PROD then we stop if post_processing fails
-    # Plan to send an email here with IGCM_sys_SendMail
-    if [ X${config_UserChoices_SpaceName} = XPROD ] ; then
-      echo "                        EXIT THE JOB."
-      echo
+
+      if [ X${ActivateBigBro} = Xtrue ] ; then
+        # RabbitMQ message code "EXIT THE JOBS BECAUSE ERROR(S) HAS BEEN TRIGGERED"
+        code=9999
+        # RabbitMQ message body
+        Body=$( echo "{${genericSimulationID},\"msgCode\":\"${code}\",\"msgUID\":\"$(uuidgen)\",\"msgTimestamp\":\"$( date +"%Y-%m-%dT%H:%M:%S.%N%z" )\"}" )
+        # To be sure we flush message buffer and clean up behind us before the end of the simulation
+        FlushAMQP=true
+        # Fill the rabbitMQ queue
+        IGCM_debug_sendAMQP
+      fi
+
       # Mail notification
-      #IGCM_sys_SendMailPost
+      IGCM_sys_SendMail
+
       # And Good Bye
       date
       exit 1
-    else
-      echo "Either inside config.card the variable SpaceName is not in PROD"
-      echo "or inside the main Job the variable JobType is not in RUN mode"
-      echo "              SO WE DO NOT EXIT THE JOB."
-      echo
-      date
+
+    elif [ X${TaskType} = Xpost-processing ] ; then
+      # If SpaceName is PROD then we stop when post_processing failed
+      if [ X${config_UserChoices_SpaceName} = XPROD ] ; then
+        echo "                        EXIT THE JOB."
+        echo
+        # Mail notification?
+        #IGCM_sys_SendMailPost
+        # And Good Bye
+        date
+        exit 1
+      else
+        echo "Either inside config.card the variable SpaceName is not in PROD"
+        echo "or inside the main Job the variable JobType is not in RUN mode"
+        echo "              SO WE DO NOT EXIT THE JOB."
+        echo
+        date
+      fi
+    elif [ X${TaskType} = Xchecking ] ; then
+      echo "Do nothing at the moment"
     fi
   fi
Index: /trunk/libIGCM/libIGCM_post/IGCM_Patch_20070220_histcom_time_axis.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/IGCM_Patch_20070220_histcom_time_axis.ksh	(revision 1205)
+++ /trunk/libIGCM/libIGCM_post/IGCM_Patch_20070220_histcom_time_axis.ksh	(revision 1206)
@@ -62,5 +62,9 @@
 	    IGCM_sys_ncatted -O --hst -a associate,${var},m,c,"${ATTNV}" ${file}
 	done
-	IGCM_debug_Verif_Exit_Post
+        # ------------------------------------------------------------------
+        # Test if all was right before proceeding further
+        # ------------------------------------------------------------------
+	IGCM_debug_Verif_Exit
+
 	IGCM_sys_Mv ${file} ${1}
 	IGCM_sys_Rm ${file}_ncdump-h
Index: /trunk/libIGCM/libIGCM_post/IGCM_Patch_20090317_histcom__Fillvalue.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/IGCM_Patch_20090317_histcom__Fillvalue.ksh	(revision 1205)
+++ /trunk/libIGCM/libIGCM_post/IGCM_Patch_20090317_histcom__Fillvalue.ksh	(revision 1206)
@@ -31,4 +31,9 @@
     [ ! X${miss} = X ] && IGCM_sys_ncatted -a missing_value,,c,f,${miss} ${file} 
 
+    # ------------------------------------------------------------------
+    # Test if all was right before proceeding further
+    # ------------------------------------------------------------------
+    IGCM_debug_Verif_Exit
+
     IGCM_sys_Mv ${file} ${1}
     
Index: /trunk/libIGCM/libIGCM_post/IGCM_Patch_20090407_histcom_time_axis.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/IGCM_Patch_20090407_histcom_time_axis.ksh	(revision 1205)
+++ /trunk/libIGCM/libIGCM_post/IGCM_Patch_20090407_histcom_time_axis.ksh	(revision 1206)
@@ -62,5 +62,9 @@
 	    IGCM_sys_ncatted -O --hst -a associate,${var},m,c,"${ATTNV}" ${file}
 	done
-	IGCM_debug_Verif_Exit_Post
+        # ------------------------------------------------------------------
+        # Test if all was right before proceeding further
+        # ------------------------------------------------------------------
+	IGCM_debug_Verif_Exit
+
 	IGCM_sys_Mv ${file} ${1}
 	IGCM_sys_Rm ${file}_ncdump-h
Index: /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091030_histcom_time_axis.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091030_histcom_time_axis.ksh	(revision 1205)
+++ /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091030_histcom_time_axis.ksh	(revision 1206)
@@ -76,6 +76,9 @@
         done
 
+        # ------------------------------------------------------------------
+        # Test if all was right before proceeding further
+        # ------------------------------------------------------------------
+	IGCM_debug_Verif_Exit
 
-	IGCM_debug_Verif_Exit_Post
 	IGCM_sys_Mv ${file} ${1}
 	IGCM_sys_Rm ${file}_ncdump-h
Index: /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091116_ncks_ncra.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091116_ncks_ncra.ksh	(revision 1205)
+++ /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091116_ncks_ncra.ksh	(revision 1206)
@@ -49,4 +49,9 @@
        rm -f O*_out.*.nc
 
+       # ------------------------------------------------------------------
+       # Test if all was right before proceeding further
+       # ------------------------------------------------------------------
+       IGCM_debug_Verif_Exit
+
        #ls -s ${PREFIX}_*_cpl_*.nc 
 
Index: /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091118_mask.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091118_mask.ksh	(revision 1205)
+++ /trunk/libIGCM/libIGCM_post/IGCM_Patch_20091118_mask.ksh	(revision 1206)
@@ -31,5 +31,5 @@
 	IGCM_debug_Exit "neither here ${R_SAVE}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc"
 	IGCM_debug_Exit "nor here ${R_BUFR}/OCE/Output/${config_UserChoices_JobName}_mesh_mask.nc"
-	IGCM_debug_Verif_Exit_Post
+	IGCM_debug_Verif_Exit
       fi
     fi
@@ -140,7 +140,11 @@
     IGCM_sys_ncks -Ah -v nav_lon,nav_lat ${filename} file_mask.nc
 
+    # ------------------------------------------------------------------
+    # Test if all was right before proceeding further
+    # ------------------------------------------------------------------
+    IGCM_debug_Verif_Exit
+
     #============================================
     # Cleaning
-    IGCM_debug_Verif_Exit_Post
     IGCM_sys_Mv file_mask.nc ${filename}
     IGCM_sys_Rm mask3D.nc mask2D.nc file1.nc
Index: /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1205)
+++ /trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1206)
@@ -202,5 +202,5 @@
 #           fi
             echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${FunctionPath}
-            echo "IGCM_debug_Verif_Exit_Post                     " >> ${FunctionPath}
+            echo "IGCM_debug_Verif_Exit                          " >> ${FunctionPath}
             echo "IGCM_sys_QsubPost create_ts                    " >> ${FunctionPath}
 #           if [ X${MASTER} = Xtitane ] ; then
@@ -237,5 +237,5 @@
                     . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
                     IGCM_sys_MkdirWork ${POST_DIR}
-                    IGCM_debug_Verif_Exit_Post
+                    IGCM_debug_Verif_Exit
                     IGCM_sys_QsubPost create_ts
 EOF
@@ -318,5 +318,5 @@
 #             fi
               echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${FunctionPath}
-              echo "IGCM_debug_Verif_Exit_Post                     " >> ${FunctionPath}
+              echo "IGCM_debug_Verif_Exit                          " >> ${FunctionPath}
               echo "IGCM_sys_QsubPost create_ts                    " >> ${FunctionPath}
 #             if [ X${MASTER} = Xtitane ] ; then
@@ -353,5 +353,5 @@
                         . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
                         IGCM_sys_MkdirWork ${POST_DIR}
-                        IGCM_debug_Verif_Exit_Post
+                        IGCM_debug_Verif_Exit
                         IGCM_sys_QsubPost create_ts
 EOF
@@ -416,5 +416,5 @@
 #     fi
       echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${FunctionPath}
-      echo "IGCM_debug_Verif_Exit_Post                     " >> ${FunctionPath}
+      echo "IGCM_debug_Verif_Exit                          " >> ${FunctionPath}
       echo "IGCM_sys_QsubPost create_se                    " >> ${FunctionPath}
 #     if [ X${MASTER} = Xtitane ] ; then
@@ -446,5 +446,5 @@
             . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
             IGCM_sys_MkdirWork ${POST_DIR}
-            IGCM_debug_Verif_Exit_Post
+            IGCM_debug_Verif_Exit
             IGCM_sys_QsubPost create_se
 EOF
@@ -497,5 +497,5 @@
     . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
     IGCM_sys_MkdirWork ${POST_DIR}
-    IGCM_debug_Verif_Exit_Post
+    IGCM_debug_Verif_Exit
     IGCM_sys_QsubPost ${script}
     IGCM_debug_Verif_Exit
@@ -525,5 +525,5 @@
       . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
       IGCM_sys_MkdirWork ${POST_DIR}
-      IGCM_debug_Verif_Exit_Post
+      IGCM_debug_Verif_Exit
       IGCM_sys_QsubPost ${script}
       IGCM_debug_Verif_Exit
@@ -558,5 +558,5 @@
 #       fi
       echo "IGCM_sys_MkdirWork ${POST_DIR}                 " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
-      echo "IGCM_debug_Verif_Exit_Post                     " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "IGCM_debug_Verif_Exit                          " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
       echo "IGCM_sys_QsubPost ${script}                    " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
 #       if [ X${MASTER} = Xtitane ] ; then
@@ -584,5 +584,5 @@
         . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
         IGCM_sys_MkdirWork ${POST_DIR}
-        IGCM_debug_Verif_Exit_Post
+        IGCM_debug_Verif_Exit
         IGCM_sys_QsubPost ${script}
         IGCM_debug_Verif_Exit
@@ -638,5 +638,5 @@
       . ${libIGCM_POST}/libIGCM_sys/libIGCM_sys.ksh
       IGCM_sys_MkdirWork ${POST_DIR}
-      IGCM_debug_Verif_Exit_Post
+      IGCM_debug_Verif_Exit
       IGCM_sys_QsubPost ${script}
       IGCM_debug_Verif_Exit