Index: trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 1379)
+++ trunk/libIGCM/libIGCM_comp/libIGCM_comp.ksh	(revision 1380)
@@ -818,5 +818,5 @@
               if [ X${OCE_PROC_MPI} != X ] ; then
                 if [ ${OCE_PROC_MPI} -ne ${nb_restart_file} ] ; then
-                  IGCM_sys_rebuild ${generic_restart_file_name_out}.${extension_out} ${generic_restart_file_name_out}_????.${extension_out}
+                  IGCM_sys_rebuild_nemo ${generic_restart_file_name_out} ${nb_restart_file} ${extension_out} ${generic_restart_file_name_out}_????.${extension_out}
                   IGCM_sys_Rm ${generic_restart_file_name_out}_????.${extension_out}
                 fi
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1379)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1380)
@@ -1546,2 +1546,24 @@
 }
 
+#D-#==================================================
+#D-function IGCM_sys_rebuild_nemo
+#D-* Purpose: rebuild nemo parallel files with general rebuild
+#D-* Examples:
+#D-
+
+function IGCM_sys_rebuild_nemo {
+  IGCM_debug_PushStack "IGCM_sys_rebuild_nemo" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_rebuild_nemo :" $@
+  fi
+
+  nemo_generic_restart_file_name_out=${1}
+  nemo_extension_out=${3}
+  shift ; shift ; shift
+
+  IGCM_sys_rebuild -o ${nemo_generic_restart_file_name_out}.${nemo_extension_out} $@
+
+  IGCM_debug_PopStack "IGCM_sys_rebuild_nemo"
+}
+
+
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh	(revision 1379)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh	(revision 1380)
@@ -1233,2 +1233,25 @@
 }
 
+#D-#==================================================
+#D-function IGCM_sys_rebuild_nemo
+#D-* Purpose: rebuild nemo parallel files with general rebuild
+#D-* Examples:
+#D-
+
+function IGCM_sys_rebuild_nemo {
+  IGCM_debug_PushStack "IGCM_sys_rebuild_nemo" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_rebuild_nemo :" $@
+  fi
+
+  nemo_generic_restart_file_name_out=${1}
+  nemo_extension_out=${3}
+  shift ; shift ; shift
+
+  IGCM_sys_rebuild -o ${nemo_generic_restart_file_name_out}.${nemo_extension_out} $@
+
+  IGCM_debug_PopStack "IGCM_sys_rebuild_nemo"
+}
+
+
+
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1379)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1380)
@@ -1689,2 +1689,19 @@
 }
 
+#D-#==================================================
+#D-function IGCM_sys_rebuild_nemo
+#D-* Purpose: rebuild nemo parallel files with nemo specific rebuild on curie
+#D-* Examples:
+#D-
+
+function IGCM_sys_rebuild_nemo {
+  IGCM_debug_PushStack "IGCM_sys_rebuild_nemo" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_rebuild_nemo :" $@
+  fi
+
+  $( ccc_home -u p86ipsl )/REBUILD_NEMO/rebuild_nemo ${1} ${2}
+
+  IGCM_debug_PopStack "IGCM_sys_rebuild_nemo"
+}
+
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1379)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1380)
@@ -1172,2 +1172,23 @@
 }
 
+#D-#==================================================
+#D-function IGCM_sys_rebuild_nemo
+#D-* Purpose: rebuild nemo parallel files with general rebuild
+#D-* Examples:
+#D-
+
+function IGCM_sys_rebuild_nemo {
+  IGCM_debug_PushStack "IGCM_sys_rebuild_nemo" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_rebuild_nemo :" $@
+  fi
+
+  nemo_generic_restart_file_name_out=${1}
+  nemo_extension_out=${3}
+  shift ; shift ; shift
+
+  IGCM_sys_rebuild -o ${nemo_generic_restart_file_name_out}.${nemo_extension_out} $@
+
+  IGCM_debug_PopStack "IGCM_sys_rebuild_nemo"
+}
+
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1379)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1380)
@@ -1030,2 +1030,25 @@
   IGCM_debug_PopStack "IGCM_sys_CountJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_rebuild_nemo
+#D-* Purpose: rebuild nemo parallel files with general rebuild
+#D-* Examples:
+#D-
+
+function IGCM_sys_rebuild_nemo {
+  IGCM_debug_PushStack "IGCM_sys_rebuild_nemo" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_rebuild_nemo :" $@
+  fi
+
+  nemo_generic_restart_file_name_out=${1}
+  nemo_extension_out=${3}
+  shift ; shift ; shift
+
+  IGCM_sys_rebuild -o ${nemo_generic_restart_file_name_out}.${nemo_extension_out} $@
+
+  IGCM_debug_PopStack "IGCM_sys_rebuild_nemo"
+}
+
+
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1379)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1380)
@@ -1195,2 +1195,24 @@
 }
 
+
+#D-#==================================================
+#D-function IGCM_sys_rebuild_nemo
+#D-* Purpose: rebuild nemo parallel files with general rebuild
+#D-* Examples:
+#D-
+
+function IGCM_sys_rebuild_nemo {
+  IGCM_debug_PushStack "IGCM_sys_rebuild_nemo" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_rebuild_nemo :" $@
+  fi
+
+  nemo_generic_restart_file_name_out=${1}
+  nemo_extension_out=${3}
+  shift ; shift ; shift
+
+  IGCM_sys_rebuild -o ${nemo_generic_restart_file_name_out}.${nemo_extension_out} $@
+
+  IGCM_debug_PopStack "IGCM_sys_rebuild_nemo"
+}
+