Index: /trunk/libIGCM/libIGCM_sys/libIGCM_sys_irene.ksh
===================================================================
--- /trunk/libIGCM/libIGCM_sys/libIGCM_sys_irene.ksh	(revision 1456)
+++ /trunk/libIGCM/libIGCM_sys/libIGCM_sys_irene.ksh	(revision 1457)
@@ -19,5 +19,5 @@
 
 #D-#==================================================
-#D-LibIGCM_sys for Curie
+#D-LibIGCM_sys for Irene
 #D-#==================================================
 #D-
@@ -69,5 +69,5 @@
 # $hostname of the MASTER job
 typeset MASTER=irene
-# add default project on curie
+# add default project on irene
 typeset PROJECT=$(echo ${BRIDGE_MSUB_PROJECT:=gen0826} | cut -d@ -f1 )
 # jobWarningDelay in seconds
@@ -96,10 +96,9 @@
 else
   module purge > /dev/null 2>&1
-  . /ccc/cont003/home/dsm/p86ipsl/.env_irene   > /dev/null 2>&1
-  . /ccc/cont003/home/dsm/p86ipsl/.env_atlas_irene   > /dev/null 2>&1
-
-#  . /ccc/cont003/home/dsm/p86ipsl/.env_intel17.0.2_curie   > /dev/null 2>&1
-#  . /ccc/cont003/home/dsm/p86ipsl/.env_netcdf4.3.3.1_curie > /dev/null 2>&1
-#  . /ccc/cont003/home/dsm/p86ipsl/.env_atlas_curie         > /dev/null 2>&1
+  ##. /ccc/cont003/home/igcmg/igcmg/MachineEnvironment/irene/env_irene > /dev/null 2>&1
+  . $( ccc_home -u igcmg)/MachineEnvironment/irene/env_irene > /dev/null 2>&1
+  ##. /ccc/cont003/home/igcmg/igcmg/MachineEnvironment/irene/env_atlas_irene > /dev/null 2>&1
+  . $( ccc_home -u igcmg)/MachineEnvironment/irene/env_atlas_irene > /dev/null 2>&1
+
   export PCMDI_MP=/ccc/work/cont003/igcmg/igcmg/PCMDI-MP
   export UVCDAT_ANONYMOUS_LOG=FALSE
@@ -113,12 +112,11 @@
 [ ! X${TaskType} = Xchecking ] && module list
 
-export PATH=${PATH}:/ccc/cont003/home/dsm/p86ipsl/AddNoise/src_X64_CURIE/bin
-export PATH=${PATH}:/ccc/cont003/home/dsm/p86ipsl/AddPerturbation/src_X64_CURIE/bin
-export PATH=${PATH}:$( ccc_home -u p86ipsl )/rebuild/src_X64_CURIE/modipsl_v2_2_2_netcdf4.2/bin/
-
-#====================================================
-# Specific for ocean additionnal diagnostic
-export FER_GO="$FER_GO /home/cont003/p86denv/IGCM_POST_UTIL/JNL /home/cont003/p86denv/GRAF /home/cont003/p86denv/GRAF/GO"
-export FER_PALETTE="$FER_PALETTE /home/cont003/p86denv/GRAF/PALET"
+# For AddNoise and AddPertu3DOCE
+##export PATH=${PATH}:/ccc/cont003/home/igcmg/igcmg/Tools/curie/bin
+export PATH=${PATH}:$(ccc_home -u igcmg)/Tools/curie/bin
+
+# For rebuild
+##export PATH=${PATH}:/ccc/cont003/home/igcmg/igcmg/Tools/irene/rebuild/modipsl_IOIPSL_PLUS_v2_2_4/bin
+export PATH=${PATH}:$(ccc_home -u igcmg)/Tools/irene/rebuild/modipsl_IOIPSL_PLUS_v2_2_4/bin
 
 #====================================================
@@ -186,5 +184,5 @@
 
 #====================================================
-#- set PackDefault to true on curie
+#- set PackDefault to true on irene
 PackDefault=true
 
@@ -926,8 +924,10 @@
 
     if [ "$#" -eq 1 ]; then
-      /ccc/cont003/home/dsm/p86ipsl/bin/dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
+      ## /ccc/cont003/home/igcmg/igcmg/Tools/irene/thredds_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
+      $(ccc_home -u igcmg)/Tools/irene/thredds_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
       status=$?
     else
-      /ccc/cont003/home/dsm/p86ipsl/bin/dods_rm public/${LOGIN}/${R_DODS} # > out_dods_rm 2>&1
+      ## /ccc/cont003/home/igcmg/igcmg/Tools/irene/thredds_rm public/${LOGIN}/${R_DODS} # > out_dods_rm 2>&1
+      $(ccc_home -u igcmg)/Tools/irene/thredds_rm public/${LOGIN}/${R_DODS} # > out_dods_rm 2>&1
       status=$?
     fi
@@ -963,5 +963,6 @@
 #    fi
 
-    /ccc/cont003/home/dsm/p86ipsl/bin/dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
+    ## /ccc/cont003/home/igcmg/igcmg/Tools/irene/bin/thredds_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
+    $(ccc_home -u igcmg)/Tools/irene/thredds_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
     status=$?
 
@@ -1066,6 +1067,7 @@
     IGCM_debug_Exit "This compiler version is not yet supported : ${compilerVersion}"
   fi
-  . /ccc/cont003/home/dsm/p86ipsl/.env_irene > /dev/null 2>&1
-  IGCM_debug_Print 1 "IGCM_sys_active_variables : Now loaded module for Irene. "
+  ##. /ccc/cont003/home/igcmg/igcmg/MachineEnvironment/irene/env_irene > /dev/null 2>&1
+  . $( ccc_home -u igcmg)/MachineEnvironment/irene/env_irene > /dev/null 2>&1
+  IGCM_debug_Print 1 "IGCM_sys_active_variables : Now loaded modules for Irene. "
   module list
 
@@ -1836,5 +1838,5 @@
   fi
 
-  $( ccc_home -u p86ipsl )/REBUILD_NEMO/rebuild_nemo ${1} ${2}
+  $( ccc_home -u igcmg)/Tools/curie/bin/rebuild_nemo ${1} ${2}
 
   IGCM_debug_PopStack "IGCM_sys_rebuild_nemo"