Index: trunk/libIGCM/ins_job
===================================================================
--- trunk/libIGCM/ins_job	(revision 1469)
+++ trunk/libIGCM/ins_job	(revision 1470)
@@ -36,7 +36,4 @@
   -e                  : turn on ensemble mode (hindcast/forecast or date restart)
   -f                  : ins_job is force to create jobs even if they already exist
-on curie only : 
-  -p project          : add default project on curie
-  -c number of cores  : add default number of cores for postprocessing on curie : 1-16
 on irene only : 
   -p project          : add default project on irene
@@ -165,15 +162,20 @@
 
 #-
-# Define Project parameters to set up jobs header for Curie (TGCC)
-# on curie define ProjectID  and ProjectCore : option or answer
-# on curie ProjectNode forced to standard since 16/3/2016
-#-
-
-if [ X"${SYSTEM}" == "Xcurie" ] ; then
+# Define Project parameters to set up jobs header for Irene (TGCC)
+# on Irene define ProjectID and ProjectCore : option or answer
+# on Irene ProjectNode default projectnode set to xlarge since 17/10/2018
+#-
+
+
+if [ X"${SYSTEM}" == "Xirene" ] ; then
+
+  #- set ProjectID if required
   if ( ! ${x_p} ) ; then
-    ProjectID=$( ccc_myproject | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | head -n 1 )
-    ProjectID=${ProjectID:="devcmip6"}
+    #- default ProjectID
+    ProjectID=$( ccc_myproject | grep -i irene |grep -i skylake | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | sort -u | grep -v gencmip6 | head -n 1 )
+    ProjectID=${ProjectID:="gch0316"}
     answer=""
-    print - "Hit Enter or give project ID (default is ${ProjectID}), possible projects are $( echo $( ccc_myproject | grep -i curie | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | sort -u ) ) :"
+    print - "Wait for the next question ..."
+    print - "Hit Enter or give project ID (default is ${ProjectID}), possible projects are $( echo $( ccc_myproject | grep -i irene | grep -i skylake | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | grep -v gencmip6 | sort -u ) ) or other xxxcmip6 : $(for i in $(groups) ; do echo $i|grep -v gencmip6|grep .cmip6 1>/dev/null 2>&1 && echo -n $i " " ; done ; echo ) "
     read answer
 
@@ -182,59 +184,13 @@
     fi
 
-    if [ "X${ProjectID}" = "Xgencmip6" ] ; then
-      ProjectID=devcmip6
-    fi
   fi # if ( ! ${x_p} )
 
-  #- ProjectNode forced to standard since 16/3/2016
-  ProjectNode="standard"
-
-  echo  ProjectID is ${ProjectID} and ProjectNode for PostProcessing is ${ProjectNode}
-
-  #- ProjectNode is known (standard since 16/3/2016) set ProjectCoreMax
-  ProjectCoreMax="16"
-
-  if ( ! ${x_c} ) ; then
-    #- ProjectNode is known (standard since 16/3/2016), set ProjectCore to default or answer
-    ProjectCore="4"
-    answerOK=false
-
-    while ( ! ${answerOK} ) ; do
-      answer=""
-      print - "Hit Enter or give NUMBER OF CORES required for post-processing (default is \"${ProjectCore}\"), possible numbers of cores are \"1\" to \"${ProjectCoreMax}\" : "
-      read answer
-      [ "X${answer}" == "X" ] || [ ${answer} -ge 1 -a ${answer} -le ${ProjectCoreMax} ] && answerOK=true
-    done
-
-    if [ "X${answer}" != "X" ] ; then
-      ProjectCore=${answer}
-    fi
-
-  fi # if ( ! ${x_c} )
-
-  echo ProjectCore is ${ProjectCore}
-  #- ProjectCore is set (option or answer)
-  # let check minimum/maximum value 1/${ProjectCoreMax}
-
-elif [ X"${SYSTEM}" == "Xirene" ] ; then
-  if ( ! ${x_p} ) ; then
-    ProjectID=$( ccc_myproject | grep -i irene |grep -i skylake | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | head -n 1 )
-    ProjectID=${ProjectID:="gch0316"}
-    answer=""
-    print - "Hit Enter or give project ID (default is ${ProjectID}), possible projects are $( echo $( ccc_myproject | grep -i irene | grep -i skylake | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | sort -u ) ) :"
-    read answer
-
-    if [ "X${answer}" != "X" ] ; then
-      ProjectID=${answer}
-    fi
-
-  fi # if ( ! ${x_p} )
-
   echo  ProjectID is ${ProjectID} at Irene 
 
 
+  # set ProjectNode if required
   if ( ! ${x_q} ) ; then 
-     #- ProjectID is known (option or answer), set ProjectNode 
-     ProjectNode="skylake"
+     #- default ProjectNode 
+     ProjectNode="xlarge"
      answerOK=false 
   
@@ -251,5 +207,5 @@
   
   fi # if ( ! ${x_q} ) 
-  echo ProjectNode is ${ProjectNode} at Irene 
+  echo ProjectNode for post-processing is ${ProjectNode} at Irene 
 
   #- ProjectNode is known (option or answer) set ProjectCoreMax 
@@ -260,4 +216,7 @@
     #- ProjectNode is known (option or answer), set ProjectCore default
     [ "${ProjectNode}" = "xlarge" ] && ProjectCore="8" || ProjectCore="4" 
+
+    # let check minimum/maximum value 1/${ProjectCoreMax}
+
     answerOK=false
 
@@ -276,15 +235,16 @@
   fi # if ( ! ${x_c} )
 
-  echo ProjectCore is ${ProjectCore}
+  echo ProjectCore for post-processing is ${ProjectCore}
   #- ProjectCore is set (option or answer)
-  # let check minimum/maximum value 1/${ProjectCoreMax}
 
   #- ProjetCore is known (option or answer) set PostID : project ID for post-processing
 
   if ( ! ${x_s} ) ; then
-    PostID=$( ccc_myproject | grep -i irene | grep -i ${ProjectNode} | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | head -n 1 )
-    PostID=${PostID:="gch0316"}
+    #- ProjetCore is known (option or answer) set PostID : project ID for post-processing
+    PostID=$( ccc_myproject | grep -i irene | grep -i ${ProjectNode} | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | sort -u | grep -v gencmip6 | head -n 1 )
+    PostID=${PostID:="${ProjectID}"}
     answer=""
-    print - "Hit Enter or give project ID (default is ${PostID}), possible projects are $( echo $( ccc_myproject | grep -i irene | grep -i ${ProjectNode} | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | sort -u ) ) :"
+    print - "Wait for the next question ..."
+    print - "Hit Enter or give project ID (default is ${PostID}), possible projects are $( echo $( ccc_myproject | grep -i irene | grep -i ${ProjectNode} | gawk '{ if ( $3 ~ /^project$/ && $4 !~ /^tgcc/ ) { print $4 } }' | grep -v gencmip6 | sort -u ) ) or other xxxcmip6 : $(for i in $(groups) ; do echo $i|grep -v gencmip6|grep .cmip6 1>/dev/null 2>&1 && echo -n $i " " ; done ; echo ) "
     read answer
 
@@ -314,4 +274,5 @@
   fi # if ( ! ${x_pm} )
   echo MPIEnvironment is ${MPIEnvironment}
+
 elif [ X"${SYSTEM}" == "Xlxiv8" ] || [ X"${SYSTEM}" == "Xifort_CICLAD" ] ; then
   # obelix, ciclad, climserv